Installing Xcode

The latest version of Xcode might not be the one required to run Commerce Cloud Endless Aisle from Appcelerator Studio. You might need to install a previous version. The required version is listed in the file README.md in the Endless Aisle source code. If a previous version of Xcode is required, go to https://developer.apple.com/downloads/index.action?g=xcode. Otherwise, to download the current version of Xcode, go to page https://developer.apple.com/download/.
  1. Go to the App Store. (In Applications, double-click App Store.) or when installing a previous version, got to https://developer.apple.com/downloads/index.action?g=xcode.
  2. Search for Xcode.
  3. Click Free, then click Install app under Xcode.
  4. Enter your Apple ID and password, click Sign In, and agree to the terms and conditions.
  5. Wait while Xcode downloads to Launchpad, which takes a few minutes.
  6. Open LaunchPad and double-click Xcode.
  7. Select Install and enter your system password.
  8. When Xcode completes installing, start Xcode.
  9. Select the Xcode button > Preferences > Components, select the components to install, and click Check and Install Now.
  10. To ensure that you are running the version of Xcode specified in the README.md file of Endless Aisle, uncheck Check for and install updates automatically.
    To revert to a previous version of Xcode:
    1. Delete the existing version of XCode by using Finder to go to Applications; select XCode and select Move to Trash.
    2. Do one of the following:
      • Go to https://developer.apple.com/downloads/index.action?g=xcode, log in with your Apple developer credentials, and download the version of Xcode you want.
      • Go to the Apple app store and download the version of XCode you want.
    Note: As an alternative to deleting and installing Xcode versions, it's possible to have multiple versions of Xcode installed. When you have multiple versions of Xcode, you can use xcode-select to switch the version you are using.